MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002112VCMIRandom Map Generatorpublic2015-02-25 12:512016-11-11 07:25
ReporterPovelitel 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.98g 
Summary0002112: Some objects are not available
DescriptionBoth object were located near the edge of the Map.
Look Heroes Malkom and Ufretin.
TagsNo tags attached.
Attached Filespng file icon 1.PNG [^] (37,630 bytes) 2015-02-25 12:51


png file icon 2.png [^] (46,963 bytes) 2015-02-25 12:52


rar file icon RDM.rar [^] (438,791 bytes) 2015-02-25 12:52
png file icon 0.97c.PNG [^] (42,849 bytes) 2015-03-23 13:05


png file icon on the contrary available.PNG [^] (35,683 bytes) 2015-03-23 13:11

- Relationships
related to 0002363new Tavern blocks access to other objects 

-  Notes
(0005580)
Warmonger (administrator)
2015-02-25 14:01
edited on: 2015-02-25 14:02

Case 1 is already fixed, case 2 requires complete pathfinding for RMG.

(0005581)
SXX (administrator)
2015-02-25 18:41

@Warmonger can you please give more details on what exactly have to be improved there?
Possible it's something I can handle as I work on pathfinding anyway.
(0005582)
Warmonger (administrator)
2015-02-25 19:43

Currently there is no graph algorithm implemented in RMG. It simply cuts direct path to closest free tile. Sometimes it fails and cannot find way around obstacles, or object is placed in a corner and no path is available at all.

AVS was working on roads, I'm looking forward to what he did.
(0005583)
SXX (administrator)
2015-02-25 21:15

Got it. Let's wait and see when he finish that.
(0006528)
Warmonger (administrator)
2016-07-12 06:38
edited on: 2016-07-12 06:38

Case 2 is also fixed. Case 3 is 0002363 and 4 are different bugs.


- Issue History
Date Modified Username Field Change
2015-02-25 12:51 Povelitel New Issue
2015-02-25 12:51 Povelitel File Added: 1.PNG
2015-02-25 12:52 Povelitel File Added: 2.png
2015-02-25 12:52 Povelitel File Added: RDM.rar
2015-02-25 14:01 Warmonger Note Added: 0005580
2015-02-25 14:02 Warmonger Note Edited: 0005580 View Revisions
2015-02-25 18:41 SXX Note Added: 0005581
2015-02-25 19:43 Warmonger Note Added: 0005582
2015-02-25 21:15 SXX Note Added: 0005583
2015-03-23 13:05 Povelitel File Added: 0.97c.PNG
2015-03-23 13:11 Povelitel File Added: on the contrary available.PNG
2016-07-12 06:38 Warmonger Note Added: 0006528
2016-07-12 06:38 Warmonger Note Edited: 0006528 View Revisions
2016-07-12 06:39 Warmonger Relationship added related to 0002363
2016-07-12 06:39 Warmonger Status new => resolved
2016-07-12 06:39 Warmonger Fixed in Version => 0.98g
2016-07-12 06:39 Warmonger Resolution open => fixed
2016-07-12 06:39 Warmonger Assigned To => Warmonger
2016-11-11 07:25 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean